import request from '@/utils/request'

// 查询租户套餐列表
export function listTenantPackage(query) {
  return request({
    url: '/system/tenantPackage/list',
    method: 'get',
    params: query
  })
}

// 查询租户套餐列表（不分页）
export function listSysTenantPackageVo(query) {
  return request({
    url: '/system/tenantPackage/listSysTenantPackageVo',
    method: 'get',
    params: query
  })
}

// 查询租户套餐详细
export function getTenantPackage(tenantPackageId) {
  return request({
    url: '/system/tenantPackage/' + tenantPackageId,
    method: 'get'
  })
}

// 新增租户套餐
export function addTenantPackage(data) {
  return request({
    url: '/system/tenantPackage',
    method: 'post',
    data: data
  })
}

// 修改租户套餐
export function updateTenantPackage(data) {
  return request({
    url: '/system/tenantPackage',
    method: 'put',
    data: data
  })
}

// 删除租户套餐
export function delTenantPackage(tenantPackageId) {
  return request({
    url: '/system/tenantPackage/' + tenantPackageId,
    method: 'delete'
  })
}
